<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Обменник-ТОП '.$set['top_num'].' пользователей';
aut();
head();
who_add(0,'enter');


echo menu.'<a href="/fo">Oбменник</a>|<b>ТОП '.$set['top_num'].' пользователей</b>'.div;
echo '<br />';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from `users` where fo_files > '0';"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if ($k_post==0)echo 'Никто ничего не загружвал в обмен...<br />';
$p=$start+1;
$q = $db->sql_query( "SELECT * from `users` where fo_files > '0' ORDER BY fo_files DESC limit $start,$max;" );
while($a = @$db->sql_fetchrow($q)){
echo links.$p++.') '.nik($a['id']).' - <a href="user'.$a['id'].'">Файлов:</a> '.$a['fo_files'].''.div;
echo '<dl></dl>';

}
if ($k_page>1){
echo '<br/><dl><dt></dt></dl>';
str("?",$k_page,$page); // Вывод страниц
echo '<br/><dl><dt></dt></dl>';
}

echo "<br/>";
echo gb.'<a href="/fo">Обменник</a>'.div;
echo gb.'<a href="/enter">Прихожая</a>'.div;
foot();

?>